Creates a new ingestion API key for a source reader. Returns the key and its secret (only shown once).
cURL
curl --request POST \ --url https://api.example.com/ingestion-api-keys \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "sourceReaderUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" } '
{ "ingestionAPIKey": { "companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "last4": "<string>", "name": "<string>", "sourceReaderUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "updatedAt": "2023-11-07T05:31:56Z", "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "expiresAt": "2023-11-07T05:31:56Z" }, "secret": "<string>" }
API key passed as a Bearer token in the Authorization header.
OK
Show child attributes
Was this page helpful?